Skip to main content
`Ctrl`+`K`

# TaoGetConvergedReason

Gets the reason the `TaoSolve()` was stopped.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetConvergedReason(Tao tao, TaoConvergedReason *reason)

Not Collective

## Input Parameter

- tao - the `Tao` solver context

## Output Parameter

- reason - value of `TaoConvergedReason`

## See Also

TAO: Optimization Solvers, `Tao`, `TaoConvergedReason`, `TaoSetConvergenceTest()`, `TaoSetTolerances()`

## Level

intermediate

## Location

src/tao/interface/taosolver.c

## Examples

src/tao/constrained/tutorials/maros.c
src/tao/unconstrained/tutorials/rosenbrock3.c
src/tao/leastsquares/tutorials/chwirut1f.F90
src/tao/unconstrained/tutorials/rosenbrock2.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages